using System; 
using Server; 

namespace Server.Items
{ 
	public class LuckyHalf : HalfApron
	{
		[Constructable]
		public LuckyHalf()
                {
			Name = "What Luck";
			Hue = 1177;
			
			Attributes.Luck = 300;
			
		}

		public LuckyHalf( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 1 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize(reader);
			int version = reader.ReadInt();
		}
	}
} 